Bug 1499505 - perl XS files including /usr/include/gtk-2.0/gtk/gtk.h fail with ATK_MINOR_VERSION redefined
Summary: perl XS files including /usr/include/gtk-2.0/gtk/gtk.h fail with ATK_MINOR_VE...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Gtk2
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-08 06:25 UTC by Trevor Cordes
Modified: 2018-05-29 12:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:43:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Trevor Cordes 2017-10-08 06:25:45 UTC
Description of problem:
I have a perl script that has an XS component and it calls:
#include <gtk/gtk.h>

and that fails on cpan make with a version mismatch (see error at bottom).

So it looks like Fedora has moved to version 22 but the perl cpan module included with Fedora is stuck at the old version.  I checked and it seems upstream is still the old version too.  Should I take this upstream with the cpan author?  I'm not sure why the module is even defining this constant at all, but it worked fine in older Fedoras.


Version-Release number of selected component (if applicable):
atk-devel-2.24.0-1.fc26.x86_64
perl-Gtk2-1.2499-2.fc26.x86_64


How reproducible:
always


Steps to Reproduce:
1. Have a perl XS file that has the line:
#include <gtk/gtk.h>
2. have that script run
3. (I use Gtk2::CV to reproduce this bug if you use cpan to install/build that you'll see the problem)


Actual results:
In file included from /usr/lib64/perl5/vendor_perl/Gtk2/Install/gtk2perl.h:31:0,
                 from CV.xs:17:
/usr/lib64/perl5/vendor_perl/Gtk2/Install/gtk2perl-versions.h:2:0: warning: "ATK_MINOR_VERSION" redefined
 #define ATK_MINOR_VERSION (22)
 
In file included from /usr/include/atk-1.0/atk/atkobject.h:29:0,
                 from /usr/include/atk-1.0/atk/atk.h:25,
                 from /usr/include/gtk-2.0/gtk/gtkwidget.h:40,
                 from /usr/include/gtk-2.0/gtk/gtkcontainer.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkbin.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkwindow.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkdialog.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkaboutdialog.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:33,
                 from CV.xs:13:
/usr/include/atk-1.0/atk/atkversion.h:53:0: note: this is the location of the previous definition
 #define ATK_MINOR_VERSION (24)

Expected results:
no error, file compiles in cpan


Additional info:
Worked fine in Fedora 24

Comment 1 Trevor Cordes 2017-10-08 06:32:07 UTC
I should note that this is a warning, not a fatal error as I first thought.  So the priority is low, not medium.

Comment 2 Fedora End Of Life 2018-05-03 08:28:06 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 12:43:51 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.